%define name	tsemgr
%define version	0.08
%define release 1

Name: 	 	%{name}
Summary: 	Manager for SonyEricsson T68m/i mobile phones
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://tsemgr.sourceforge.net/
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libezV24-devel gtk+-devel openobex-libs-devel bluez-libs-devel

%description
Tsemgr is a gtk application to manage a SonyEricsson T68m/i mobile phone.

%prep
%setup -q
perl -p -i -e 's/openobex\/obex/obex/g' src/*.[c,h]

%build
CFLAGS="$RPM_OPT_FLAGS"                 \
CXXFLAGS="$RPM_OPT_FLAGS"               \
./configure     --prefix=%{_prefix}     \
                --libdir=%{_libdir}     \
                --enable-mt             \
                --disable-rpath
make
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
%makeinstall

#menu
#mkdir -p $RPM_BUILD_ROOT%{_menudir}
#cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
#?package(%{name}): command="%{name}" icon="communications_section.png" needs="x11" title="Tsemgr" longtitle="SonyEricsson T68 controller" section="Office/Communications/Phone"
#EOF

%clean
rm -rf $RPM_BUILD_ROOT

#%post
#%update_menus

#%postun
#%clean_menus

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING
%{_bindir}/%name
#%{_menudir}/%name

%changelog
* Tue Mar  2 2004 Peter Hanecak <hanecak@megaloman.sk> 0.08-1
- adapted to Doors Linux

* Tue Feb 10 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.08-1mdk
- 0.08

* Fri Nov 14 2003 Austin Acton <aacton@yorku.ca> 0.07-1mdk
- 0.07

* Sun Apr 13 2003 Austin Acton <aacton@yorku.ca> 0.06-1mdk
- initial package
